## com.google.gwt.core.ext.linker
Class SyntheticArtifact

    java.lang.Object
      com.google.gwt.core.ext.linker.Artifact<EmittedArtifact>
          com.google.gwt.core.ext.linker.EmittedArtifact
              com.google.gwt.core.ext.linker.SyntheticArtifact

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Artifact<?>>

    public class SyntheticArtifact

extends EmittedArtifact

Artifacts created by `AbstractLinker`.

See Also:
  Serialized Form

Method Summary
`java.io.InputStream` | `getContents(TreeLogger logger)` Provides access to the contents of the EmittedResource.
`long` | `getLastModified()` Returns the time, measured in milliseconds from the epoch, at which the Artifact was last modified.

Methods inherited from class com.google.gwt.core.ext.linker.EmittedArtifact
`compareToComparableArtifact, getComparableArtifactType, getPartialPath, hashCode, isPrivate, setPrivate, toString`

Methods inherited from class com.google.gwt.core.ext.linker.Artifact
`compareTo, equals, getLinker`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getContents

    public java.io.InputStream getContents(TreeLogger logger)
                                    throws UnableToCompleteException

  Description copied from class: `EmittedArtifact`
  Provides access to the contents of the EmittedResource.

  Specified by:
    `getContents` in class `EmittedArtifact`
  Throws:
    `UnableToCompleteException`

### getLastModified

    public long getLastModified()

  Description copied from class: `EmittedArtifact`
  Returns the time, measured in milliseconds from the epoch, at which the Artifact was last modified. This will be used to set the last-modified timestamp on the files written to disk.

  The default implementation always returns the current time. Subclasses should override this method to provide a type-appropriate value.

  Overrides:
    `getLastModified` in class `EmittedArtifact`
  Returns:
    the time at which the Artifact was last modified